diff --git python-django-ajax-selects/python-django-ajax-selects.spec python-django-ajax-selects/python-django-ajax-selects.spec.tmp
index 1af354c3e9..74d53f9484 100644
--- python-django-ajax-selects/python-django-ajax-selects.spec
+++ python-django-ajax-selects/python-django-ajax-selects.spec.tmp
@@ -3,7 +3,7 @@
 
 Name:           python-django-ajax-selects
 Version:        1.3.4
-Release:        12%{?dist}
+Release:        13%{?dist}
 Summary:        Enables editing of ForeignKey, ManyToMany and simple text fields
 
 Group:          Development/Languages
@@ -14,24 +14,31 @@ Source:         http://pypi.python.org/packages/source/d/%{pkgname}/%{pkgname}-%
 BuildArch:      noarch
 BuildRequires:  python2-devel
 BuildRequires:  python-setuptools
-Requires:       python-django
 %if 0%{?with_python3}
 BuildRequires:  python3-devel
 BuildRequires:  python3-setuptools
 %endif
 
-Provides:	%{pkgname} = %{version}-%{release} 
+%global _description\
+Enables editing of ForeignKey, ManyToMany and simple text fields using the\
+Autocomplete - jQuery plugin.\
+django-ajax-selects will work in any normal form as well as in the admin.\
+The user is presented with a text field. They type a search term or a few\
+letters of a name they are looking for, an ajax request is sent to the server,\
+a search channel returns possible results. Results are displayed as a drop\
+down menu. When an item is selected it is added to a display area just below\
+the text field.
+
+%description %_description
+
+%package -n python2-django-ajax-selects
+Summary: %summary
 Obsoletes:	%{pkgname} < 1.1.4-6
+Provides:	%{pkgname} = %{version}-%{release}
+Requires:       python-django
+%{?python_provide:%python_provide python2-django-ajax-selects}
 
-%description
-Enables editing of ForeignKey, ManyToMany and simple text fields using the 
-Autocomplete - jQuery plugin.
-django-ajax-selects will work in any normal form as well as in the admin.
-The user is presented with a text field. They type a search term or a few 
-letters of a name they are looking for, an ajax request is sent to the server,
-a search channel returns possible results. Results are displayed as a drop 
-down menu. When an item is selected it is added to a display area just below
-the text field.
+%description -n python2-django-ajax-selects %_description
 
 %if 0%{?with_python3}
 %package -n python3-django-ajax-selects
@@ -76,7 +83,7 @@ pushd %{py3dir}
 popd
 %endif
 
-%files
+%files -n python2-django-ajax-selects
 %doc ajax_select/LICENSE.txt
 %doc ajax_select/docs/*
 %doc example/*
@@ -93,6 +100,10 @@ popd
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.3.4-13
+- Python 2 subpackage renamed to python2-django-ajax-selects
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.4-12
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-django-appconf/python-django-appconf.spec python-django-appconf/python-django-appconf.spec.tmp
index c764be956a..e05190a74d 100644
--- python-django-appconf/python-django-appconf.spec
+++ python-django-appconf/python-django-appconf.spec.tmp
@@ -16,7 +16,7 @@
 
 Name:           python-%{pypi_name}
 Version:        1.0.2
-Release:        4%{?dist}
+Release:        5%{?dist}
 Summary:        A helper class for handling configuration defaults of packaged apps gracefully
 
 License:        BSD
@@ -33,12 +33,19 @@ BuildRequires:  python2-flake8
 BuildRequires:  python-coverage
 BuildRequires:  python2-django
 
+%global _description\
+A helper class for handling configuration\
+defaults of packaged Django\
+apps gracefully.
+
+%description %_description
+
+%package -n python2-%{pypi_name}
+Summary: %summary
 Requires:       python2-django
+%{?python_provide:%python_provide python2-%{pypi_name}}
 
-%description
-A helper class for handling configuration
-defaults of packaged Django
-apps gracefully.
+%description -n python2-%{pypi_name} %_description
 
 %if 0%{?with_python3}
 %package -n python3-%{pypi_name}
@@ -88,7 +95,7 @@ export PYTHONPATH=.:$PYTHONPATH
 export DJANGO_SETTINGS_MODULE=tests.test_settings
 coverage run %{_bindir}/django-admin test -v2 test
 
-%files
+%files -n python2-%{pypi_name}
 %doc html README.rst
 %license LICENSE
 %{python2_sitelib}/appconf
@@ -103,6 +110,10 @@ coverage run %{_bindir}/django-admin test -v2 test
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0.2-5
+- Python 2 subpackage renamed to python2-django-appconf
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-4
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-django-compressor/python-django-compressor.spec python-django-compressor/python-django-compressor.spec.tmp
index a5d46dcfd3..f7b97ce84b 100644
--- python-django-compressor/python-django-compressor.spec
+++ python-django-compressor/python-django-compressor.spec.tmp
@@ -12,7 +12,7 @@
 
 Name:           python-django-compressor
 Version:        2.1
-Release:        4%{?dist}
+Release:        5%{?dist}
 Summary:        Compresses linked and inline JavaScript or CSS into single cached files
 
 License:        MIT
@@ -24,19 +24,26 @@ BuildArch:      noarch
 BuildRequires:  python2-devel
 BuildRequires:  python-setuptools
 
-Requires:       python-django-appconf >= 1.0
-Requires:       python-versiontools
-Requires:       python-django
-Requires:       python2-rjsmin
+%global _description\
+Django Compressor combines and compresses linked and inline Javascript\
+or CSS in a Django templates into cacheable static files by using the\
+``compress`` template tag.  HTML in between\
+``{% compress js/css %}`` and ``{% endcompress %}`` is\
+parsed and searched for CSS or JS. These styles and scripts are subsequently\
+processed with optional, configurable compilers and filters.
+
+%description %_description
+
+%package -n python2-django-compressor
+Summary: %summary
 Requires:       python2-rcssmin
+Requires:       python2-rjsmin
+Requires:       python-django
+Requires:       python-versiontools
+Requires:       python-django-appconf >= 1.0
+%{?python_provide:%python_provide python2-django-compressor}
 
-%description
-Django Compressor combines and compresses linked and inline Javascript
-or CSS in a Django templates into cacheable static files by using the
-``compress`` template tag.  HTML in between
-``{% compress js/css %}`` and ``{% endcompress %}`` is
-parsed and searched for CSS or JS. These styles and scripts are subsequently
-processed with optional, configurable compilers and filters.
+%description -n python2-django-compressor %_description
 
 %if 0%{?with_python3}
 %package -n python3-django-compressor
@@ -80,7 +87,7 @@ processed with optional, configurable compilers and filters.
 
 
 
-%files
+%files -n python2-django-compressor
 %doc README.rst
 %license LICENSE
 %{python2_sitelib}/compressor
@@ -95,6 +102,10 @@ processed with optional, configurable compilers and filters.
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.1-5
+- Python 2 subpackage renamed to python2-django-compressor
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.1-4
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-django-countries/python-django-countries.spec python-django-countries/python-django-countries.spec.tmp
index 346b770f47..50715c4b91 100644
--- python-django-countries/python-django-countries.spec
+++ python-django-countries/python-django-countries.spec.tmp
@@ -3,7 +3,7 @@
 
 Name:           python-%{pypi_name}
 Version:        4.0
-Release:        3%{?dist}
+Release:        4%{?dist}
 Summary:        Provides a country field for Django models
 
 Group:          Development/Languages
@@ -18,14 +18,21 @@ BuildRequires:  python-setuptools
 BuildRequires:  python2-devel
 BuildRequires:  python-django
 BuildRequires:  python-django-rest-framework
-Requires:       python-django
 
-Provides:       django-countries = %{version}-%{release}
+%global _description\
+Django application which provides country choices for use with forms, and a\
+country field for models.
+
+%description %_description
+
+%package -n python2-django-countries
+Summary: %summary
 Obsoletes:      django-countries < %{obs_ver}
+Provides:       django-countries = %{version}-%{release}
+Requires:       python-django
+%{?python_provide:%python_provide python2-django-countries}
 
-%description
-Django application which provides country choices for use with forms, and a
-country field for models.
+%description -n python2-django-countries %_description
 
 %package -n python3-django-countries
 Summary:        Provides a country field for Django models - Python 3 version
@@ -75,7 +82,7 @@ DJANGO_SETTINGS_MODULE=django_countries.tests.settings \
 %{__python3} %{_bindir}/django-admin test django_countries.tests
 #popd
 
-%files -f python2-django.lang
+%files -n python2-django-countries -f python2-django.lang
 %doc LICENSE README.rst
 %exclude %{python_sitelib}/django_countries/tests
 %dir %{python_sitelib}/django_countries/
@@ -103,6 +110,10 @@ DJANGO_SETTINGS_MODULE=django_countries.tests.settings \
 %{python3_sitelib}/*.egg-info
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 4.0-4
+- Python 2 subpackage renamed to python2-django-countries
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.0-3
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-django-debug-toolbar/python-django-debug-toolbar.spec python-django-debug-toolbar/python-django-debug-toolbar.spec.tmp
index 2d261defcb..ecb11061a8 100644
--- python-django-debug-toolbar/python-django-debug-toolbar.spec
+++ python-django-debug-toolbar/python-django-debug-toolbar.spec.tmp
@@ -4,7 +4,7 @@
 
 Name:           python-django-debug-toolbar
 Version:        1.4
-Release:        7%{?dist}
+Release:        8%{?dist}
 Summary:        Configurable set of panels that display various debug information
 
 License:        BSD
@@ -16,25 +16,33 @@ BuildRequires:  python2-devel
 BuildRequires:  python-setuptools
 BuildRequires:  python-sqlparse
 BuildRequires:  python-django
-Requires:       python-django
-Requires:       python-sqlparse
 
-%description
-The Django Debug Toolbar is a configurable set of panels that display various
-debug information about the current request/response and when clicked, display 
-more details about the panel's content.
+%global _description\
+The Django Debug Toolbar is a configurable set of panels that display various\
+debug information about the current request/response and when clicked, display\
+more details about the panel's content.\
+\
+Currently, the following panels have been written and are working:\
+\
+ -   Django version\
+ -   Request timer\
+ -   A list of settings in settings.py\
+ -   Common HTTP headers\
+ -   GET/POST/cookie/session variable display\
+ -   Templates and context used, and their template paths\
+ -   SQL queries including time to execute and links to EXPLAIN each query\
+ -   List of signals, their args and receivers\
+ -   Logging output via Python's built-in logging, or via the logbook module
 
-Currently, the following panels have been written and are working:
+%description %_description
 
- -   Django version
- -   Request timer
- -   A list of settings in settings.py
- -   Common HTTP headers
- -   GET/POST/cookie/session variable display
- -   Templates and context used, and their template paths
- -   SQL queries including time to execute and links to EXPLAIN each query
- -   List of signals, their args and receivers
- -   Logging output via Python's built-in logging, or via the logbook module
+%package -n python2-django-debug-toolbar
+Summary: %summary
+Requires:       python-sqlparse
+Requires:       python-django
+%{?python_provide:%python_provide python2-django-debug-toolbar}
+
+%description -n python2-django-debug-toolbar %_description
 
 %if 0%{?with_python3} > 0
 %package -n python3-django-debug-toolbar
@@ -95,7 +103,7 @@ echo "# empty file" > debug_toolbar/models.py
 # %{__python3} setup.py test
 %endif # with_python3
 
-%files
+%files -n python2-django-debug-toolbar
 %doc README.rst PKG-INFO
 %license LICENSE
 %{python2_sitelib}/debug_toolbar
@@ -110,6 +118,10 @@ echo "# empty file" > debug_toolbar/models.py
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.4-8
+- Python 2 subpackage renamed to python2-django-debug-toolbar
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-7
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-django-devserver/python-django-devserver.spec python-django-devserver/python-django-devserver.spec.tmp
index 8f129779cf..537d4de482 100644
--- python-django-devserver/python-django-devserver.spec
+++ python-django-devserver/python-django-devserver.spec.tmp
@@ -4,7 +4,7 @@
 
 Name:           python-%{pypi_name}
 Version:        0.8.0
-Release:        6%{?dist}
+Release:        7%{?dist}
 Summary:        Drop-in replacement for Django's runserver
 
 License:        BSD
@@ -21,15 +21,22 @@ BuildRequires:  python3-devel
 BuildRequires:  python3-setuptools
 %endif
 
+%global _description\
+A drop in replacement for Django's built-in runserver command.\
+Features include:\
+- An extendable interface for handling things such as real-time logging.\
+- Integration with the werkzeug interactive debugger.\
+- Threaded (default) and multi-process development servers.\
+- Ability to specify a WSGI application as your target environment.
+
+%description %_description
+
+%package -n python2-%{pypi_name}
+Summary: %summary
 Requires:       python-django
+%{?python_provide:%python_provide python2-%{pypi_name}}
 
-%description
-A drop in replacement for Django's built-in runserver command.
-Features include:
-- An extendable interface for handling things such as real-time logging.
-- Integration with the werkzeug interactive debugger.
-- Threaded (default) and multi-process development servers.
-- Ability to specify a WSGI application as your target environment.
+%description -n python2-%{pypi_name} %_description
 
 %if 0%{?with_python3}
 %package -n python3-%{pypi_name}
@@ -74,7 +81,7 @@ pushd %{py3dir}
 popd
 %endif # with_python3
  
-%files
+%files -n python2-%{pypi_name}
 %doc LICENSE README.rst
 %{python_sitelib}/devserver
 %{python_sitelib}/django_devserver*
@@ -87,6 +94,10 @@ popd
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.8.0-7
+- Python 2 subpackage renamed to python2-django-devserver
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-6
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-django-discover-runner/python-django-discover-runner.spec python-django-discover-runner/python-django-discover-runner.spec.tmp
index ac17c103ac..7f05e77d2e 100644
--- python-django-discover-runner/python-django-discover-runner.spec
+++ python-django-discover-runner/python-django-discover-runner.spec.tmp
@@ -6,7 +6,7 @@
 
 Name:           python-%{pypi_name}
 Version:        1.0
-Release:        11%{?dist}
+Release:        12%{?dist}
 Summary:        A Django test runner based on unittest2's test discovery
 
 License:        BSD
@@ -17,18 +17,26 @@ BuildArch:      noarch
  
 BuildRequires:  python2-devel
 BuildRequires:  python-setuptools
-Requires:       python-unittest2
 
 %if 0%{?with_python3}
 BuildRequires:  python3-devel
 BuildRequires:  python3-setuptools
 %endif # with_python3
 
-%description
-An alternative Django TEST_RUNNER which uses the unittest2 test discovery
-from a base path specified in the settings, or any other module or package
+%global _description\
+An alternative Django TEST_RUNNER which uses the unittest2 test discovery\
+from a base path specified in the settings, or any other module or package\
 specified to the test management command -- including app tests.
 
+%description %_description
+
+%package -n python2-django-discover-runner
+Summary: %summary
+Requires:       python-unittest2
+%{?python_provide:%python_provide python2-django-discover-runner}
+
+%description -n python2-django-discover-runner %_description
+
 %if 0%{?with_python3}
 %package -n python3-django-discover-runner
 Summary:        A Django test runner based on unittest2's test discovery
@@ -70,7 +78,7 @@ popd
 %{__python2} setup.py install --skip-build --root %{buildroot}
 
 
-%files
+%files -n python2-django-discover-runner
 %doc README.rst LICENSE
 %{python2_sitelib}/discover_runner
 %{python2_sitelib}/django_discover_runner-%{version}-py?.?.egg-info
@@ -83,6 +91,10 @@ popd
 %endif # with_python3
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0-12
+- Python 2 subpackage renamed to python2-django-discover-runner
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-11
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-django-extra-form-fields/python-django-extra-form-fields.spec python-django-extra-form-fields/python-django-extra-form-fields.spec.tmp
index 66b675ce8c..0c99eac4a5 100644
--- python-django-extra-form-fields/python-django-extra-form-fields.spec
+++ python-django-extra-form-fields/python-django-extra-form-fields.spec.tmp
@@ -3,7 +3,7 @@
 
 Name:           python-django-extra-form-fields
 Version:        0.0.1
-Release:        14%{?dist}
+Release:        15%{?dist}
 Summary:        Additional form fields for Django applications
 
 License:        GPLv3+
@@ -13,22 +13,29 @@ Source0:        http://pypi.python.org/packages/source/d/%{pkgname}/%{pkgname}-%
 BuildArch:      noarch
 BuildRequires:  python2-devel
 BuildRequires:  python-setuptools
-Requires:       python-django
 
-Provides:               %{pkgname} = %{version}-%{release}
-Obsoletes:              %{pkgname} < %{obs_ver}
 
+%global _description\
+Additional form fields to use in Django applications:\
+\
+    NextUrlField - add to forms that need to store url of next page\
+    get_next_url - utility function to extract next url from the request object\
+    UserNameField - field to enter user name - allows unique username site-wide\
+    UserEmailField - allows unique email address site-wide if\
+                     EMAIL_UNIQUE setting is True\
+\
 
-%description
-Additional form fields to use in Django applications:
 
-    NextUrlField - add to forms that need to store url of next page
-    get_next_url - utility function to extract next url from the request object
-    UserNameField - field to enter user name - allows unique username site-wide
-    UserEmailField - allows unique email address site-wide if 
-                     EMAIL_UNIQUE setting is True
+%description %_description
 
+%package -n python2-django-extra-form-fields
+Summary: %summary
+Obsoletes:              %{pkgname} < %{obs_ver}
+Provides:               %{pkgname} = %{version}-%{release}
+Requires:       python-django
+%{?python_provide:%python_provide python2-django-extra-form-fields}
 
+%description -n python2-django-extra-form-fields %_description
 
 %prep
 %setup -q -n %{pkgname}-%{version}
@@ -40,7 +47,7 @@ Additional form fields to use in Django applications:
 %install
 %{__python} setup.py install -O1 --skip-build --root %{buildroot}
 
-%files
+%files -n python2-django-extra-form-fields
 %doc AUTHORS COPYING LICENSE
 %{python_sitelib}/django_extra_form_fields
 %{python_sitelib}/django_extra_form_fields-%{version}*
@@ -48,6 +55,10 @@ Additional form fields to use in Django applications:
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.0.1-15
+- Python 2 subpackage renamed to python2-django-extra-form-fields
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.1-14
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-django-federated-login/python-django-federated-login.spec python-django-federated-login/python-django-federated-login.spec.tmp
index f55820db99..66e2f1bc6a 100644
--- python-django-federated-login/python-django-federated-login.spec
+++ python-django-federated-login/python-django-federated-login.spec.tmp
@@ -4,7 +4,7 @@
 
 Name:           python-django-federated-login
 Version:        1.0.0
-Release:        13%{?dist}
+Release:        14%{?dist}
 Summary:        Provides federated logins to django projects
 
 Group:          Development/Languages
@@ -16,14 +16,9 @@ BuildArch:      noarch
 BuildRequires:  python2-devel
 BuildRequires:  python-setuptools
 BuildRequires:  python-openid == 2.2.5
-Requires:       python-openid == 2.2.5
 BuildRequires:  python-tox
-Requires:       python-tox
 BuildRequires:  python-flake8
-Requires:       python-flake8
 BuildRequires:  python-coverage
-Requires:       python-coverage
-Requires:       python-django
 BuildRequires:  python-django
 
 %if 0%{?with_python3}
@@ -31,18 +26,31 @@ BuildRequires:  python3-devel
 BuildRequires:  python3-setuptools
 %endif
 
-%description
+%global _description\
+\
+Django Federated Login provides an authentication bridge between\
+Django projects and OpenID-enabled identity providers. The bridge is\
+pre-wired to be used with a single Google Apps domain, but could be\
+extended to be linked with other OpenID providers also. It is different\
+from other OpenID consumers as this consumer only allows connecting to\
+a pre-defined identity provider.\
+\
+The provided backend matches users based on the e-mail address returned\
+from the identity provider. If no matching user could be found, a user\
+account can optionally be created.
 
-Django Federated Login provides an authentication bridge between 
-Django projects and OpenID-enabled identity providers. The bridge is 
-pre-wired to be used with a single Google Apps domain, but could be 
-extended to be linked with other OpenID providers also. It is different 
-from other OpenID consumers as this consumer only allows connecting to
-a pre-defined identity provider.
+%description %_description
 
-The provided backend matches users based on the e-mail address returned 
-from the identity provider. If no matching user could be found, a user 
-account can optionally be created.
+%package -n python2-django-federated-login
+Summary: %summary
+Requires:       python-django
+Requires:       python-coverage
+Requires:       python-flake8
+Requires:       python-tox
+Requires:       python-openid == 2.2.5
+%{?python_provide:%python_provide python2-django-federated-login}
+
+%description -n python2-django-federated-login %_description
 
 %if 0%{?with_python3}
 %package -n python3-django-federated-login
@@ -107,7 +115,7 @@ flake8 federated_login example tests
 popd
 %endif
 
-%files
+%files -n python2-django-federated-login
 %doc README.rst LICENSE.txt
 %{python_sitelib}/federated_login
 %{python_sitelib}/example
@@ -124,6 +132,10 @@ popd
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0.0-14
+- Python 2 subpackage renamed to python2-django-federated-login
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-13
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-django-flash/python-django-flash.spec python-django-flash/python-django-flash.spec.tmp
index c9e4a04ab0..f84f02dbd0 100644
--- python-django-flash/python-django-flash.spec
+++ python-django-flash/python-django-flash.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-django-flash
 Version:        1.8
-Release:        15%{?dist}
+Release:        16%{?dist}
 Summary:        A Django extension to provide support for Rails-like flash
 Group:          Development/Languages
 License:        BSD
@@ -14,21 +14,28 @@ BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 BuildArch:      noarch
 BuildRequires:  python2-devel 
 BuildRequires:  python-setuptools
-Requires:       python-django
 BuildRequires:  python-django
 
-Obsoletes:      %{pkgname} < 1.7.2-7
-Provides:       %{pkgname} = %{version}-%{release}
+%global _description\
+A simple Django extension that provides support for Rails-like flash messages.\
+\
+The flash is a temporary storage mechanism that looks like a Python\
+dictionary, so you can store values associated with keys and later retrieve\
+them. It has one special property: by default, values stored into the flash\
+during the processing of a request will be available during the processing\
+of the immediately following request. Once that second request has been\
+processed, those values are removed automatically from the storage.
 
-%description
-A simple Django extension that provides support for Rails-like flash messages.
+%description %_description
 
-The flash is a temporary storage mechanism that looks like a Python
-dictionary, so you can store values associated with keys and later retrieve
-them. It has one special property: by default, values stored into the flash
-during the processing of a request will be available during the processing
-of the immediately following request. Once that second request has been
-processed, those values are removed automatically from the storage.
+%package -n python2-django-flash
+Summary: %summary
+Provides:       %{pkgname} = %{version}-%{release}
+Obsoletes:      %{pkgname} < 1.7.2-7
+Requires:       python-django
+%{?python_provide:%python_provide python2-django-flash}
+
+%description -n python2-django-flash %_description
 
 %prep
 %setup -q -n %{pkgname}-%{version}
@@ -45,13 +52,17 @@ find %{buildroot} -name 'manage.py' | xargs chmod 0755
 %clean
 rm -rf %{buildroot}
 
-%files
+%files -n python2-django-flash
 %defattr(-,root,root,-)
 %doc AUTHORS LICENSE README.rst
 %{python_sitelib}/djangoflash
 %{python_sitelib}/django_flash-*.egg-info
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.8-16
+- Python 2 subpackage renamed to python2-django-flash
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.8-15
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-django-followit/python-django-followit.spec python-django-followit/python-django-followit.spec.tmp
index af5f809d52..3873100000 100644
--- python-django-followit/python-django-followit.spec
+++ python-django-followit/python-django-followit.spec.tmp
@@ -3,7 +3,7 @@
 
 Name:           python-%{pkgname}
 Version:        0.0.3
-Release:        13%{?dist}
+Release:        14%{?dist}
 Summary:        A django app that allows users to follow django model objects
 
 Group:          Development/Libraries
@@ -14,16 +14,23 @@ Source0:        http://pypi.python.org/packages/source/d/%{pkgname}/%{pkgname}-%
 BuildArch:      noarch
 BuildRequires:  python2-devel
 BuildRequires:  python-setuptools
-Requires:       python-django
 
-Provides:       %{pkgname} = %{version}-%{release}
-Obsoletes:      %{pkgname} < 0.0.3-3
+%global _description\
+The django-followit django app allows to easily set up a\
+capability for the site users to follow various things on the site,\
+represented by django model objects.\
 
-%description
-The django-followit django app allows to easily set up a
-capability for the site users to follow various things on the site,
-represented by django model objects.
 
+%description %_description
+
+%package -n python2-%{pkgname}
+Summary: %summary
+Obsoletes:      %{pkgname} < 0.0.3-3
+Provides:       %{pkgname} = %{version}-%{release}
+Requires:       python-django
+%{?python_provide:%python_provide python2-%{pkgname}}
+
+%description -n python2-%{pkgname} %_description
 
 %prep
 %setup -q -n %{pkgname}-%{version}
@@ -35,13 +42,17 @@ rm -rf django_%{mod_name}.egg-info
 %install
 %{__python} setup.py install --skip-build --root="$RPM_BUILD_ROOT"
 
-%files
+%files -n python2-%{pkgname}
 %{python_sitelib}/%{mod_name}/
 %{python_sitelib}/*.egg-info/
 %doc %{mod_name}/LICENSE PKG-INFO
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.0.3-14
+- Python 2 subpackage renamed to python2-django-followit
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.3-13
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-django-kombu/python-django-kombu.spec python-django-kombu/python-django-kombu.spec.tmp
index 0921a9446a..0a11acf6be 100644
--- python-django-kombu/python-django-kombu.spec
+++ python-django-kombu/python-django-kombu.spec.tmp
@@ -3,7 +3,7 @@
 %global srcname djkombu
 Name:           python-django-kombu
 Version:        0.9.4
-Release:        9%{?dist}
+Release:        10%{?dist}
 Summary:        Kombu transport using the Django database as a message store
 Group:          Development/Languages
 License:        BSD
@@ -13,19 +13,26 @@ Source0:        http://pypi.python.org/packages/source/d/%{pkgname}/%{pkgname}-%
 BuildArch:      noarch
 BuildRequires:  python-setuptools 
 BuildRequires:  python2-devel
-Requires:       python-django 
-Requires:       python-kombu
-
-Provides:               %{pkgname} = %{version}-%{release}
-Obsoletes:              %{pkgname} < %{obs_ver}
 
 
-%description
-Django application that enables you to use the Django database as the 
-message store for Kombu. Kombu is an AMQP messaging framework for Python.  
-AMQP is the Advanced Message Queuing Protocol, an open standard protocol for
+%global _description\
+Django application that enables you to use the Django database as the\
+message store for Kombu. Kombu is an AMQP messaging framework for Python.\
+AMQP is the Advanced Message Queuing Protocol, an open standard protocol for\
 message orientation, queuing, routing, reliability and security.
 
+%description %_description
+
+%package -n python2-django-kombu
+Summary: %summary
+Obsoletes:              %{pkgname} < %{obs_ver}
+Provides:               %{pkgname} = %{version}-%{release}
+Requires:       python-kombu
+Requires:       python-django
+%{?python_provide:%python_provide python2-django-kombu}
+
+%description -n python2-django-kombu %_description
+
 %prep
 %setup -q -n %{pkgname}-%{version}
 %build
@@ -34,12 +41,16 @@ message orientation, queuing, routing, reliability and security.
 %install
 %{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
 
-%files 
+%files -n python2-django-kombu
 %doc LICENSE README AUTHORS THANKS TODO Changelog
 %{python_sitelib}/%{srcname}/
 %{python_sitelib}/*.egg-info
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.9.4-10
+- Python 2 subpackage renamed to python2-django-kombu
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.4-9
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
